%define major	0
%define api	0.15
%define libname	%mklibname nova %{api} %{major}
%define develname %mklibname nova -d

Name:       libnova
Version:    0.15.0
Release:    %mkrel 8
Summary:    General purpose astronomy & astrodynamics library
Group:      Sciences/Astronomy
License:    LGPLv2+
URL:        https://sourceforge.net/projects/libnova/
Source0:    https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:     libnova-0.15.0-cflags.patch

%description
Libnova is a general purpose, double precision, celestial mechanics,
astrometry and astrodynamics library

%files
%doc ChangeLog README AUTHORS NEWS COPYING
%{_bindir}/libnovaconfig

#--------------------------------------------------------------------

%package -n %{libname}
Summary:    Library files for %name
Group:      Development/KDE and Qt
# Obsolete wrongly named lib for smooth upgrades
Obsoletes:  %{_lib}nova14_0 < 0.14.0-3

%description -n %{libname}
Contains library files for nova

%files -n %{libname}
%{_libdir}/libnova-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:    Development files for %name
Group:      Development/KDE and Qt
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{_lib}nova%{api}-devel = %{version}-%{release}
Provides:   nova-devel = %{version}-%{release}
Provides:   nova%{api}-devel = %{version}-%{release}
Obsoletes:  %{_lib}nova14-devel < 0.14.0-3

%description -n %{develname}
Contains library and header files for %nova

%files -n %{develname}
%doc COPYING examples/*.c
%{_includedir}/libnova/
%{_libdir}/libnova.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.15.0-8.mga9
+ Revision: 1792049
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.15.0-7.mga8
+ Revision: 1514310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.15.0-6.mga7
+ Revision: 1299054
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Fri Sep 15 2017 cjw <cjw> 0.15.0-5.mga7
+ Revision: 1153953
- patch0: do not clear CFLAGS in configure script

* Sat Feb 06 2016 umeabot <umeabot> 0.15.0-4.mga6
+ Revision: 940488
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15.0-3.mga5
+ Revision: 744441
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15.0-2.mga5
+ Revision: 681661
- Mageia 5 Mass Rebuild

* Wed May 14 2014 sander85 <sander85> 0.15.0-1.mga5
+ Revision: 622845
- New version: 0.15.0

* Sat Oct 19 2013 umeabot <umeabot> 0.14.0-4.mga4
+ Revision: 532478
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 0.14.0-3.mga4
+ Revision: 468475
- fix lib and devel pkg names
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 0.14.0-2.mga3
+ Revision: 357881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 fwang <fwang> 0.14.0-1.mga2
+ Revision: 218301
- new version 0.14.0

* Sat Jan 22 2011 ahmad <ahmad> 0.13.0-3.mga1
+ Revision: 33242
- drop old/unneeded scriptlets
- imported package libnova


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-2mdv2011.0
+ Revision: 602585
- rebuild

* Tue Jan 12 2010 Emmanuel Andry <eandry@mandriva.org> 0.13.0-1mdv2010.1
+ Revision: 490333
- New version 0.13.0
- use api and major
- change major 0

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 370708
- New version 0.12.3

* Fri Apr 10 2009 Funda Wang <fwang@mandriva.org> 0.12.2-3mdv2009.1
+ Revision: 365613
- use configure2_5x

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.12.2-3mdv2009.0
+ Revision: 282187
- obsoletes old wrong devel libname
- provides virtual name

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.12.2-1mdv2009.0
+ Revision: 278798
- New version
- apply devel policy
- change major

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.12.1-2mdv2009.0
+ Revision: 264849
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.12.1-1mdv2009.0
+ Revision: 202854
- Fix Group
- Fix group
- import libnova


